| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
NAND Data Bus Width
NAND Control Codes

Specify data bus width of the NAND interface. More...

## Macros

#define | ARM_NAND_BUS_DATA_WIDTH_8 (0x00)
| Bus Data Width: 8 bit (default)
#define | ARM_NAND_BUS_DATA_WIDTH_16 (0x01)
| Bus Data Width: 16 bit.

## Description

Specify data bus width of the NAND interface.

The defines can be used in the function ARM_NAND_Control for the parameter arg and with the ARM_NAND_BUS_DATA_WIDTH as the control code.

## Macro Definition Documentation

#define ARM_NAND_BUS_DATA_WIDTH_16 (0x01)

Bus Data Width: 16 bit.

#define ARM_NAND_BUS_DATA_WIDTH_8 (0x00)

Bus Data Width: 8 bit (default)